﻿@model eCommerce.Services.Services.Andreani.AndreaniShippingViewModel
@using eCommerce.Services.Services.Andreani
@using eCommerce.Services.Model.Enums
@{
    ViewBag.Title = "Crear envío de Andreani";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<style>
    input::-webkit-outer-spin-button,
    input::-webkit-inner-spin-button {
        -webkit-appearance: none;
        margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
    }
</style>


<div class="page-header">
    <h1 class="page-title">Andreani - Crear envío</h1>
</div>

@{  var isDomicilio = !string.IsNullOrEmpty(Model.DeliveryOrder.Order.AddressAndreani); }
<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                @using (Html.BeginForm("CreateShipping", "Andreani", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
                {
                    <div class="form-group">
                        <label class="col-sm-2 control-label"></label>
                        <div class="col-sm-2">
                            <div class="radio-custom radio-primary">
                                <input type="radio" class="js-shipping-type" id="ShippingType_@((int)AndreaniTipoEnvio.Sucursal)" name="TipoEnvio" value="@((int)AndreaniTipoEnvio.Sucursal)" @(!isDomicilio ? "checked" : string.Empty) required />
                                <label for="ShippingType_@((int)AndreaniTipoEnvio.Sucursal)">Envío a sucursal</label>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="radio-custom radio-primary">
                                <input type="radio" class="js-shipping-type" id="ShippingType_@((int)AndreaniTipoEnvio.DomicilioEstandar)" name="TipoEnvio" value="@((int)AndreaniTipoEnvio.DomicilioEstandar)" @(isDomicilio ? "checked" : string.Empty) required />
                                <label for="ShippingType_@((int)AndreaniTipoEnvio.DomicilioEstandar)">Envío a domicilio</label>
                            </div>
                        </div>
                    </div>

                    <!-- Datos del origen -->
                    @*<h4 class="col-sm-offset-2">Datos del origen</h4>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Sucursal</label>
                            <div class="col-sm-5">
                                <select class="form-control" name="SucursalCliente" data-plugin="select2" required>
                                    <option value="">- Seleccionar -</option>
                                    @foreach (var item in Model.Sucursales)
                                    {
                                        <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                    }
                                </select>
                            </div>
                        </div>*@

                    <!-- Datos del destinatario -->
                    var customer = Model.Customer;
                    <h4 class="col-sm-12">Datos del destinatario</h4>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Nombre y Apellido*</label>
                        <div class="col-sm-3">
                            <input type="text" class="form-control" name="NombreCompleto" value="@customer.FullName" required />
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Tipo y N° de documento*</label>
                        <div class="col-sm-1">
                            <input type="text" class="form-control" name="TipoDocumento" value="DNI" required />
                        </div>
                        <div class="col-sm-2">
                            <input type="number" class="form-control" name="Documento" value="@customer.DNI" required />
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Email</label>
                        <div class="col-sm-3">
                            <input type="email" class="form-control" name="Email" value="@customer.Email" />
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Celular</label>
                        <div class="col-sm-3">
                            <input type="number" class="form-control" name="Celular" value="@customer.Cellphone" />
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Teléfono</label>
                        <div class="col-sm-3">
                            <input type="number" class="form-control" name="Telefono" value="@customer.PhoneNumber" />
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Código Postal*</label>
                        <div class="col-sm-1">
                            <input type="number" class="form-control" name="CP" value="@Model.DeliveryOrder.Order.Customer.ZipCode" required />
                        </div>
                    </div>

                    <div class="form-group js-tipo-domicilio">
                        <label class="col-sm-2 control-label">Dirección*</label>
                        <div class="col-sm-2">
                            <input type="text" class="form-control" name="Calle" placeholder="Calle" value="@Model.DeliveryOrder.Order.AddressAndreani" />
                        </div>
                        <div class="col-sm-1">
                            <input type="number" class="form-control" name="Numero" placeholder="Número" value="@Model.DeliveryOrder.Order.AddressNumberAndreani" />
                        </div>
                    </div>

                    <div class="form-group js-tipo-sucursal ">
                        <label class="col-sm-2 control-label">Sucursal Destino*</label>
                        <div class="col-sm-5">
                            <select class="form-control" name="SucursalDestino" data-plugin="select2" required>
                                <option value="">- Seleccionar -</option>
                                @foreach (var item in Model.Sucursales)
                                {
                                    <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                }
                            </select>
                        </div>
                    </div>

                    <!-- Datos del envio -->
                    <h4 class="col-sm-12">Datos del envio <span style="font-size:12px;">(ingresar los valores reales del paquete)</span></h4>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Volumen</label>
                        <div class="col-sm-2">
                            <div class="input-group">
                                <input type="number" class="form-control" placeholder="Alto*" name="Alto" required value="@TempData["Height"]" />
                                <span class="input-group-addon">cm</span>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="input-group">
                                <input type="number" class="form-control" placeholder="Ancho*" name="Ancho" required value="@TempData["Width"]" />
                                <span class="input-group-addon">cm</span>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="input-group">
                                <input type="number" class="form-control" placeholder="Largo*" name="Largo" required value="@TempData["Length"]" />
                                <span class="input-group-addon">cm</span>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Valor declarado</label>
                        <div class="col-sm-2">
                            <div class="input-group">
                                <span class="input-group-addon">$</span>
                                <input type="text" class="form-control" placeholder="0,00" name="ValorDeclarado" value="@Model.ValorDeclarado.ToString()" required />
                            </div>
                        </div>
                    </div>

                    //Formato incorrecto
                    @*<div class="form-group">
                            <label class="col-sm-2 control-label">Valor declarado</label>
                            <div class="col-sm-2">
                                <div class="input-group">
                                    <span class="input-group-addon">$</span>
                                    <input type="text" class="form-control" name="ValorDeclarado" value="@Model.DeliveryOrder.Amount.Value" />
                                </div>
                            </div>
                        </div>*@

                    <div class="text-right">
                        <button type="submit" class="btn btn-primary btn-success" id="btnSave">Crear</button>
                        <button type="button" class="btn btn-default" onclick="window.location.href = '/DeliveryOrders/DeliveryOrderList/@Model.DeliveryOrder.OrderId';">Cancelar</button>
                        <input type="hidden" name="DeliveryOrderId" value="@Model.DeliveryOrder.DeliveryOrderId" />
                    </div>
                }
            </div>
        </div>
    </div>
</div>

@section Scripts {
    <script type="text/javascript">
        $(document).ready(function ()
        {
            $('.js-shipping-type').change(function () {
                var currentType = $(this).val();
                var isSucursal = currentType == "@((int)AndreaniTipoEnvio.Sucursal)";
                $('.js-tipo-sucursal').toggleClass('hidden', !isSucursal);
                $('.js-tipo-sucursal').find('select, input').prop('required', isSucursal);
                $('.js-tipo-domicilio').toggleClass('hidden', isSucursal);
                $('.js-tipo-domicilio').find('select, input').prop('required', !isSucursal);
            });
            debugger;

            isSucursal = "@(!isDomicilio)" == "True";
            $('.js-tipo-sucursal').toggleClass('hidden', !isSucursal);
            $('.js-tipo-sucursal').find('select, input').prop('required', isSucursal);
            $('.js-tipo-domicilio').toggleClass('hidden', isSucursal);
            $('.js-tipo-domicilio').find('select, input').prop('required', !isSucursal);

            //$('.js-shipping-type').change();
        });
    </script>
}

